namespace elm { namespace list { 
inline bool Item::separator_get() const
{
   Eina_Bool __return_value =  ::elm_obj_list_item_separator_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Item::separator_set( ::efl::eolian::in_traits<bool>::type setting) const
{
    ::elm_obj_list_item_separator_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(setting));
}
inline bool Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_list_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_list_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline  ::efl::canvas::Object Item::object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_list_item_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline  ::elm::widget::Item Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_list_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_list_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline void Item::show() const
{
    ::elm_obj_list_item_show(this->_eo_ptr());
}
inline void Item::bring_in() const
{
    ::elm_obj_list_item_bring_in(this->_eo_ptr());
}
} } 
namespace eo_cxx {
namespace elm { namespace list { 
inline bool Item::separator_get() const
{
   Eina_Bool __return_value =  ::elm_obj_list_item_separator_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Item::separator_set( ::efl::eolian::in_traits<bool>::type setting) const
{
    ::elm_obj_list_item_separator_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(setting));
}
inline bool Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_list_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_list_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline  ::efl::canvas::Object Item::object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_list_item_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline  ::elm::widget::Item Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_list_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_list_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline void Item::show() const
{
    ::elm_obj_list_item_show(this->_eo_ptr());
}
inline void Item::bring_in() const
{
    ::elm_obj_list_item_bring_in(this->_eo_ptr());
}
inline elm::list::Item::operator ::elm::list::Item() const { return *static_cast< ::elm::list::Item const*>(static_cast<void const*>(this)); }
inline elm::list::Item::operator ::elm::list::Item&() { return *static_cast< ::elm::list::Item*>(static_cast<void*>(this)); }
inline elm::list::Item::operator ::elm::list::Item const&() const { return *static_cast< ::elm::list::Item const*>(static_cast<void const*>(this)); }
} } }

